package org.springframework.boot.docker.compose.service.connection.kafka;

import java.util.List;

import org.springframework.boot.autoconfigure.kafka.KafkaConnectionDetails;
import org.springframework.boot.docker.compose.core.RunningService;
import org.springframework.boot.docker.compose.service.connection.DockerComposeConnectionDetailsFactory;
import org.springframework.boot.docker.compose.service.connection.DockerComposeConnectionSource;

class KafkaDockerComposeConnectionDetailsFactory extends DockerComposeConnectionDetailsFactory<KafkaConnectionDetails> {

	KafkaDockerComposeConnectionDetailsFactory() {
		super("bitnami/kafka");
	}

	@Override
	protected KafkaConnectionDetails getDockerComposeConnectionDetails(DockerComposeConnectionSource source) {
		return new KafkaDockerComposeConnectionDetails(source.getRunningService());
	}

	static class KafkaDockerComposeConnectionDetails extends DockerComposeConnectionDetails
			implements KafkaConnectionDetails {

		private final List<String> bootstrapServers;

		KafkaDockerComposeConnectionDetails(RunningService service) {
			super(service);
			this.bootstrapServers = List.of("localhost:9094");
			// this.bootstrapServers =
			// List.of(service.env().get("bootstrapServers").split(","));
		}

		@Override
		public List<String> getBootstrapServers() {
			return this.bootstrapServers;
		}

	}

}
